Get Location Categories
GET
/api/v1/location-categories
Token needs the read ability.
About tokens
Retrieves a paginated list of LocationCategory objects. Requires the read ability.
Query parameters
-
page[number]integerPage number (starts at 1). -
page[size]integerResults per page (default 30, max 100). -
filter[external_id]string -
filter[location_category_group_id]string (uuid) -
sortstringAllowed: name, sort_order, created_at, updated_at. Default: sort_order. -
includestringAllowed: locationCategoryGroup.
Responses
-
-
linksobject-
firststring nullable -
laststring nullable -
prevstring nullable -
nextstring nullable
-
-
metaobject-
current_pageinteger -
frominteger nullable -
last_pageinteger -
pathstring -
per_pageinteger -
tointeger nullable -
totalinteger
-
-
dataarray of LocationCategory-
idstring (uuid) -
namestring -
external_idstring nullable -
location_category_group_idstring (uuid) nullable -
sort_orderinteger nullable -
created_atstring (date-time) nullable -
updated_atstring (date-time) nullable -
locationCategoryGroupobject nullablePresent only when included.-
idstring (uuid) -
namestring -
indexinteger -
created_atstring (date-time) nullable -
updated_atstring (date-time) nullable
-
-
-
-
-
messagestring
-
-
-
messagestring
-
curl "https://app.franchisesee.com/api/v1/location-categories" \
-H "Authorization: Bearer $FRANCHISESEE_TOKEN" \
-H "Accept: application/json"
Response
{
"links": {
"first": "https://app.franchisesee.com/api/v1/locations?page[number]=1",
"last": "https://app.franchisesee.com/api/v1/locations?page[number]=10",
"prev": "https://app.franchisesee.com/api/v1/locations?page[number]=1",
"next": "https://app.franchisesee.com/api/v1/locations?page[number]=3"
},
"meta": {
"current_page": 2,
"from": 26,
"last_page": 10,
"path": "https://app.franchisesee.com/api/v1/locations",
"per_page": 25,
"to": 50,
"total": 250
},
"data": [
{
"id": "5d8e2f1a-6c4b-4a9e-8f3d-2b7c1e9a4d60",
"name": "Inline",
"external_id": "INLINE",
"location_category_group_id": "f2b6d8a1-4c3e-4e7b-a5d9-1c8e3f6b2a40",
"sort_order": 1,
"created_at": "2025-03-14T15:22:08.000000Z",
"updated_at": "2026-10-02T09:41:55.000000Z",
"locationCategoryGroup": {
"id": "e1a4c8b2-7d3f-4b6e-9a2c-8f5d1e3b7a90",
"name": "Region",
"index": 1,
"created_at": "2025-03-14T15:22:08.000000Z",
"updated_at": "2026-10-02T09:41:55.000000Z"
}
}
]
}